#!/usr/bin/perl -w
use strict;
use DBI;
use CGI 'param';

my $driver = 'mysql';
my $database = 'trainXX';
my $username = 'trainXX';
my $password = 'your_password_here';

my $sort_order = param('sort') || 'name';	# default to name
my $sql_statement = "select * from salespeople order by $sort_order";

my $dsn = "DBI:$driver:database=$database";
my $dbh = DBI->connect($dsn, $username, $password) || die $DBI::errstr;

my $sth = $dbh->prepare($sql_statement);
$sth->execute() or die ("Can't execute SQL: " . $dbh->errstr());

print <<"END";
Content-type: text/html

<h1>Sales people</h1>
<table border>
<tr>
	<th>ID</th>
	<th>Name</th>
</tr>
END

while (my @ary = $sth->fetchrow_array()) {
	print <<"END";
<tr>
	<td>$ary[0]</td>
	<td>$ary[1]</td>
</tr>
END
}

print "</table>\n";

$dbh->disconnect();
