#!/usr/bin/perl -w

use strict;

# 1

my $unknown = 42;

if ($unknown < 3) {
	print "too small\n";
} elsif ($unknown > 7) {
	print "too big\n";
} else {
	print "just right\n";
}

# 2

my $first = "Christopher";
my $last = "Hicks";

print $first if $first lt $last;
print $last if $last gt $first;
print "\n";

# 3

my @array = ("a", "b", "c", "d", "e");

my $n = 0;
while ($n < scalar @array) {
	print "$n: " . $array[$n] . "\n";
	$n++;
}

# 4

print "----------------\n";
print "now with foreach:\n";

foreach my $element (@array) {
	print $element, "\n";
}

# 5

print "----\n";
print "hash:\n";

my %colours = (
	"red"		=>	"fire",
	"yellow"	=>	"daffodils",
	"green"		=>	"leaves",
	"blue"		=>	"ocean",
);

foreach (keys %colours) {
	print "$_ $colours{$_}\n";
}

