#!/usr/bin/perl -w

use strict;

# using a while loop and angle brackets
while (<*.pl>) {
	print;
}

# using a foreach loop with the glob function
foreach (glob "*.pl") {
	print;
}

# using a named variable instead of $_
foreach my $script (glob "*.pl") {
	print $script;
}

# two even quicker methods...
print <*.pl>;
print glob "*.pl";




